package a3test.debug;

import jp.sourceforge.acerola3d.a3.*;

/* 2011,10/28,Action3D.getActionName(int);が実装されてなかった
 * ので実装(なんでだったんだ？)．
 * それとgetActionName()やgetActionNo()は，時間差が出るけど
 * しょうがないか？changeImmediately(.)を使っても同じ．
 * 瞬時に反映されるにはA3CanvasInterfaceにaddされていない
 * 場合だけ．
 */
public class GetActionNameTest {
    public static void main(String args[]) throws Exception {
        A3Window window = new A3Window(300,300);
        Action3D a3 = Action3D.load("x-res:///axis.a3");
        window.add(a3);

        System.out.println("a3.getActionName(1):"+a3.getActionName(1));

        System.out.println("a3.getActionNames():");
        for (String s : a3.getActionNames()) {
            System.out.println("  "+s);
        }

        //System.out.println("a3.getActionName():"+a3.getActionName());
        System.out.println("a3.getActionNo():"+a3.getActionNo());

        //a3.change("spin");System.out.println("a3.change(spin):");
        a3.changeImmediately("spin");System.out.println("a3.changeImmediately(spin):");

        //System.out.println("a3.getActionName():"+a3.getActionName());
        System.out.println("a3.getActionNo():"+a3.getActionNo());

        Thread.sleep(1000);//100だとだめなことがあり，1000ならOK？
        System.out.println("sleep(1000):");

        //System.out.println("a3.getActionName():"+a3.getActionName());
        System.out.println("a3.getActionNo():"+a3.getActionNo());
    }
}
